org.apache.ignite.spi.checkpoint.sharedfs

## Interface SharedFsCheckpointSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

All Known Implementing Classes:
  SharedFsCheckpointSpi

    @MXBeanDescription(value="MBean for shared file system based checkpoint SPI.")
    public interface SharedFsCheckpointSpiMBean
    extends IgniteSpiManagementMBean

Management bean that provides general administrative and configuration information about shared file system checkpoints.

### Method Summary

Methods
`String` `getCurrentDirectoryPath()` Gets path to the directory where all checkpoints are saved.
`Collection<String>` `getDirectoryPaths()` Gets collection of all configured paths where checkpoints can be saved.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getCurrentDirectoryPath

    @MXBeanDescription(value="Gets path to the directory where all checkpoints are saved.")
    String getCurrentDirectoryPath()

Gets path to the directory where all checkpoints are saved.

Returns:
  Path to the checkpoints directory.

#### getDirectoryPaths

    @MXBeanDescription(value="Gets collection of all configured paths where checkpoints can be saved.")
    Collection<String> getDirectoryPaths()

Gets collection of all configured paths where checkpoints can be saved.

Returns:
  Collection of all configured paths.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016